Examplary
Start for free
Developer docs

Add source material

POSThttps://api.examplary.ai/source-materials

Add a source material and start processing it for later use in an exam.

Request body

urlstring· urirequired
typestring
namestring
sizenumber
contentTypestring
expiresstring
externalIdstring

An optional external identifier for the source material.

tagsarray string[]· max items: 20

Optional tags for the source material

metadataobject

Metadata to attach to the source material, e.g. IDs from an external system.

Responses

201

orgstringrequired
idstringrequired
typestring
createdBystringrequired
createdAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
updatedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
deletedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
expiresAtnumber
namestring
originalSourceobjectrequired
externalIdstring
parentSourceMaterialIdstring
summarystring
factsCountnumber
processingStatusstring

Allowed values:pendingconvertingsummarizingextracting_topicsextracting_factscompletedfailed

numberOfPagesnumber
tagsarray string[]
metadataobject
chapterMarkersarray object[]
convertedSourceV2object
geminiSourceobject
topicsany
cacheNamestring

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

429 — Rate limit exceeded

Requirements

Rate limit

60 requests per minute per user.

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the source-materials:write scope to be present.